// @flow
import React from 'react';
import {
	Container,
	Row,
	Col,
} from 'reactstrap';

import {
	HashRouter as Router,
	Route,
	Switch,
} from 'react-router-dom';
import { hot } from 'react-hot-loader';

import MainNav from './MainNav.jsx';
import MainContent from './MainContent.jsx';
import HomeContent from './HomeContent.jsx';

type Props = {
};

type State = {
};

class App extends React.PureComponent<Props, State> {
	constructor(props: Props){
		super(props);
	}

	render () {
		return (
			<Router>
				<Container>
					<Route component={MainNav} />
					<Switch>
						<Route path='/:entity' component={MainContent} />
						<Route>
							<HomeContent />
						</Route>
					</Switch>
				</Container>
			</Router>
		);
	}
}

export default hot(module)(App);
